package de.frajul.endlessroll.sounds;

/**
 * Created by Julian on 17.01.2018.
 */

public class Sound {

    private int soundId;
    private float volume;
    private boolean looping;

    public Sound(int soundId) {
        this(soundId, 1.0f);
    }

    public Sound(int soundId, float volume) {
        this(soundId, volume, false);
    }

    public Sound(int soundId, boolean looping) {
        this(soundId, 1.0f, looping);
    }

    public Sound(int soundId, float volume, boolean looping) {
        this.soundId = soundId;
        this.volume = volume;
        this.looping = looping;
    }

    public int getSoundId() {
        return soundId;
    }

    public void setSoundId(int soundId) {
        this.soundId = soundId;
    }

    public float getVolume() {
        return volume;
    }

    public void setVolume(float volume) {
        this.volume = volume;
    }

    public boolean isLooping() {
        return looping;
    }

    public void setLooping(boolean looping) {
        this.looping = looping;
    }

}
